INKSCAPE(1)

NOM
Inkscape - programme d'édition de SVG (Scalable Vector Graphics).

SYNOPSIS
"inkscape [options] [fichier_1 fichier_2...]"

options :

    -?, --help
        --help-all
        --help-gapplication
        --help-gtk

    -V, --version
        --debug-info
        --system-data-directory
        --user-data-directory

    -p, --pipe
    -n, --pages=PAGE[,PAGE]
        --pdf-poppler
        --convert-dpi-method=METHOD
        --no-convert-text-baseline-spacing

    -o, --export-filename=FILENAME
        --export-overwrite
        --export-type=TYPE[,TYPE]*
        --export-extension=EXTENSION-ID

    -C, --export-area-page
    -D, --export-area-drawing
    -a, --export-area=x0:y0:x1:y1
        --export-area-snap
    -d, --export-dpi=PPP
    -w, --export-width=LARGEUR
    -h, --export-height=HAUTEUR
        --export-margin=MARGE

        --export-page=all|n[,a-b]
    -i, --export-id=OBJECT-ID[;OBJECT-ID]*
    -j, --export-id-only
    -l, --export-plain-svg
        --export-png-color-mode=COLORMODE
        --export-png-compression=LEVEL
        --export-png-antialias=LEVEL
        --export-png-use-dithering=BOOLEAN
        --export-ps-level=LEVEL
        --export-pdf-version=VERSION
    -T, --export-text-to-path
        --export-latex
        --export-ignore-filters
    -t, --export-use-hints
    -b, --export-background=COLOR
    -y, --export-background-opacity=VALUE

    -I, --query-id=ID_OBJET[,ID_OBJET]*
    -S, --query-all
    -X, --query-x
    -Y, --query-y
    -W, --query-width
    -H, --query-height

        --vacuum-defs
        --select=OBJECT-ID[,OBJECT-ID]*
        --actions=ACTION(:ARG)[;ACTION(:ARG)]*
        --action-list
        --actions-file=FILENAME

    -g, --with-gui
    -q, --active-window
        --display=DISPLAY
        --app-id-tag=TAG
        --batch-process
        --shell

DESCRIPTION
Inkscape est un éditeur de dessin vectoriel libre et Open Source. Il offre une multitude de fonctionnalités et est largement utilisé pour les illustrations artistiques et techniques, comme les cartoons, les clip arts, les logos, la typographie, les diagrammes ou les logigrammes. Il s'appuie sur le dessin vectoriel pour fournir des impressions et des rendus nets à des résolutions extrêmes, et il n'est pas contraint à un nombre déterminé de pixels comme dans les images matricielles. Inkscape utilise le format de fichier normalisé SVG comme format principal, celui-ci étant pris en charge par un grand nombre d'applications notamment les navigateurs web.

L'interface est conçue pour offrir un confort d'usage et une efficacité aux utilisateurs expérimentés, tout en restant conforme aux standards GNOMEafin que les utilisateurs des applications GNOME puissent s'y familiariser rapidement.

Le format SVG est un format XML normalisé par le W3C pour le dessin vectoriel en 2D. Il permet de définir des objets sur un dessin en utilisant des points, des chemins et des formes primitives. Les couleurs, les polices de caractères, l'épaisseur du contour et autres sont spécifiés comme attributs du style de ces objets. Le but, SVG étant un standard et ses fichiers du texte/XML, est de rendre possible l'utilisation de fichiers SVG pour un grand nombre de programmes et de pratiques.

Inkscape utilise le SVG comme format de document natif, et vise à devenir le programme de dessin vectoriel le plus respectueux du format SVG, disponible dans la communauté du logiciel libre.

OPTIONS

-?, --help
    Affiche un message d'aide.

--help-all
    Affiche toutes les options de l'aide.

--help-gapplication
    Affiche les options de GApplication.

--help-gtk
    Affiche les options de GTK+.

-V, --version
    Affiche la version d'Inkscape et la date de compilation.

--debug-info
    Affiche des informations techniques telles que la version d'Inkscape, des dépendances, et le système d'exploitation. Ces informations sont utiles pour déboguer des problèmes, n'hésitez pas à les inclure en soumettant un rapport de bogue.

--system-data-directory
    Affiche le dossier des données système où sont stockés les fichiers de données fournis avec Inkscape. Ceux-ci incluent les fichiers indispensables à l'exécution d'Inkscape (comme les définitions d'unités, les raccourcis clavier par défaut, les fichiers de description de l'interface graphique, les thèmes d'icônes, etc.), les extensions fondamentales, le stock de ressources (filtres, polices, marqueurs, palettes de couleurs, symboles, modèles) et la documentation (les fichiers SVG d'exemples, les didacticiels).

    L'emplacement du dossier des données système d'Inkscape peut être modifié avec la variable d'environnement INKSCAPE_DATADIR.

--user-data-directory
    Affiche le dossier du profil utilisateur où sont stockées les fichiers de données spécifiques à l'utilisateur et ses préférences. Les extensions et les ressources personnalisées (filtres, polices, marqueurs, palettes de couleurs, symboles, modèles) devraient être installées dans leurs sous-dossiers respectifs à cet emplacement. De plus, ajouter ici un fichier avec un nom identique à celui du dossier des données système permettra de lui octroyer la priorité sur les préréglages du dossier des données système (par ex. les modèles par défaut, les fichiers d'interface graphique, etc.).

    L'emplacement par défaut du dossier du profil utilisateur peut être modifié avec la variable d'environnement INKSCAPE_PROFILE_DIR.

-p, --pipe
    Lit le fichier d'entrée depuis l'entrée standard (stdin).

--pages=PAGE
    Imports the given comma separated list of pages from a PDF, or multi page SVG file.

    This replaces the --pdf-page from previous Inkscape versions.

--pdf-poppler
    Par défaut, Inkscape importe des fichiers PDF via une bibliothèque interne (dérivée de poppler). Le texte reste du texte. Les maillages sont convertis en tuiles. L'option --pdf-poppler permet d'importer via une bibliothèque externe (poppler avec un back-end cairo). Le texte est constitué de groupes contenant des glyphes clonés, chaque glyphe étant un chemin. Les images sont stockées en interne. Les maillages imliquent de faire un rendu du document complet sous forme d'image matricielle.

--convert-dpi-method=MÉTHODE
    Choisis la méthode pour redimensionner les anciens fichiers (version antérieure à 0.92) qui offrent un rendu légèrement plus petit du fait du basculement de 90 PPP à 96 PPP, lors de l'interprétation des longueurs données en nombre de pixels. Les valeurs possibles sont « none » (pas de changement, le document sera rendu avec 94% de sa taille originale), « scale-viewbox » (le document sera redimensionné globalement, les longueurs individuelles restant inchangées) et « scale-document » (chaque longueur sera redimensionnée individuellement).

--no-convert-text-baseline-spacing
    Impose de ne pas corriger automatiquement les lignes de base dans les documents produits avec une version d'Inkscape antérieure à 0.92. Depuis Inkscape 0.92, la propriété « line-height » est gérée conformément au standard CSS, ce qui la rend incompatible avec les précédentes versions. Par défaut, les valeurs de hauteur de ligne dans les fichiers créés avant Inkscape 0.92 vont être ajustées au chargement afin de préserver la disposition souhaitée. Cette option permet d'éviter cet ajustement.

-o, --export-filename=FICHIER
    Définit le nom du fichier de sortie. Par défaut, le nom du fichier d'entrée est réutilisé. Si l'option --export-type est aussi utilisée, l'extension du fichier sera adaptée (ou ajoutée) comme il se doit. Sinon le type du fichier d'export sera déduit à partir de l'extension du fichier de sortie spécifié.

    L'utilisation du nom de fichier spécial « - » conduit Inkscape à envoyer les données de l'image vers la sortie standard (stdout).

--export-overwrite
    Écrase le fichier d'entrée.

--export-type=TYPE[,TYPE]*
    Spécifie le type de fichier d'export. Les valeurs possibles sont : svg, png, ps, eps, pdf, emf, wmf et tout type de fichier pour lequel il y a une extension d'export. Il est aussi possible d'exporter vers plusieurs types en une seule fois.

    Notez que PostScript n'accepte pas la transparence, et que tout objet transparent dans le SVG original sera automatiquement rastérisé. Les polices utilisées sont incorporées en tant que sous-ensemble. La zone d'exportation par défaut est la page ; vous pouvez la configurer comme étant le dessin avec --export-area-drawing.

    Notez aussi que le format PDF préserve la transparence du document SVG original.

--export-extension=EXTENSION-ID
    Permet de spécifier une extensions pour l'export, utile quand plusieurs extensions produisent le même type de fichier. Permet d'éviter de spécifier --export-filename and --export-type. Si spécifié, --export-type ne peut contenir qu'un type.

-C, --export-area-page
    Pour l'export en SVG, PNG, PDF et PS, définit la page comme zone à exporter. C'est le comportement par défaut pour les formats SVG, PNG, PDF et PS, et vous n'avez donc pas besoin de spécifier cette option pour ces formats à moins que vous utilisiez l'option --export-id pour exporter un objet spécifique. En EPS, cette option n'est pas prise en charge.

-D, --export-area-drawing
    Pour l'export en SVG, PNG, PDF, PS et EPS, définit le dessin entier (pas la page) comme zone à exporter, c'est-à-dire le cadre englobant l'ensemble des objets du document (ou des objets exportés lorsque l'option --export-id est utilisée). Avec cette option, l'image exportée n'affichera que les objets visibles du document sans marge ni massicotage. Il s'agit de l'option par défaut pour l'export au format EPS. Lors de l'export en PNG, elle peut être combinée avec --export-use-hints.

-a x0:y0:x1:y1, --export-area=x0:y0:x1:y1
    Pour l'export en PNG, définit la zone à exporter en unités utilisateur SVG (unité anonyme de longueur utilisée normalement par le format SVG d'Inkscape, 1/96 pouce). Le comportement par défaut est d'exporter la page complète du document. Le point (0 ; 0) correspond au coin inférieur gauche.

--export-area-snap
    Pour l'export en PNG, arrondit les dimensions de la zone à exporter aux valeurs entières supérieures en unités SVG utilisateur (px). Si vous utilisez une résolution d'export de 96 ppp et que vos objets sont alignés aux pixels afin de minimiser l'anti-crénelage, cette option permet de préserver cet alignement même si l'export se fait selon des boîtes de contour (avec --export-id ou --export-area-drawing) qui ne sont pas correctement alignées sur les pixels.

-d PPP, --export-dpi=PPP
    Définit la résolution utilisée pour l'export en PNG. Elle est également utilisée pour définir le niveau de rastérisation des objets filtrés lors de l'export en PS, EPS ou PDF (sauf si l'option --export-ignore-filters est utilisée). Elle est de 96 par défaut, correspondant à 1 pixel SVG (px, aussi appelé « unité utilisateur ») s'exportant vers 1 pixel bitmap. Cette valeur préempte la PPP enregistrée avec le document si la commande est utilisée avec --export-use-hints.

-w LARGEUR, --export-width=LARGEUR
    Définit la largeur de l'image matricielle générée en pixels. Cette valeur écrase l'option --export-dpi (ou la résolution enregistrée avec le document si --export-use-hints est aussi utilisé).

-h HAUTEUR, --export-height=HAUTEUR
    Définit la hauteur de l'image matricielle générée en pixels. Cette valeur écrase le paramètre --export-dpi (ou la PPP enregistrée avec le document si --export-use-hints est aussi utilisé).

--export-margin=MARGE
    Ajoute une marge autour de la zone à exporter. La dimension de la marge est spécifiée en unités de la taille de page (pour SVG) et en millimètres (pour PS/PDF). Cette option n'a actuellement pas d'effet pour les autres formats d'export.

-i ID, --export-page=all|n[,a-b]*
    Exports the selected pages only. If more than one page is specified then the resulting document may contain multiple pages if the format supports it.

    Value can be a comma separated list of page numbers, or page ranges of two numbers separated by a dash. The keyword 'all' can be used to indicate all pages would be exported.

-i ID, --export-id=ID_OBJET[;ID_OBJET]*
    Pour l'export en PNG, PS, EPS, PDF et SVG simple, exporte l'objet portant l'identifiant (valeur de l'attribut id) ID ; les autres objets du document ne seront pas exportés. Par défaut, la zone exportée est le cadre englobant l'objet ; vous pouvez changer ce comportement en utilisant --export-area (PNG seulement) ou --export-area-page.

    Si vous spécifiez plusieurs formats avec une liste d'objets séparés par des points-virgules, chacune sera exportée séparément. Dans ce cas, les fichiers d'export seront nommés ainsi : [fichier_d_entrée]_[ID].[format_d_export]

-j, --export-id-only
    Pour les formats PNG, PS, EPS, et SVG simple, n'exporte que l'objet dont l'identifiant est spécifié avec avec l'option --export-id. Tous les autres objets seront cachés et n'apparaîtront pas dans l'export même s'ils chevauchent l'objet exporté. Si --export-id n'est pas spécifié, cette option est ignorée.

-l, --export-plain-svg
    Exporte le(s) document(s) au format SVG simple, sans espace de noms sodipodi: ou inkscape: et sans métadonnées RDF. Utilisez l'option --export-filename pour spécifier le nom du fichier.

--export-png-color-mode=COLORMODE
    Set the color mode (bit depth and color type) for exported bitmaps (Gray_1/Gray_2/Gray_4/Gray_8/Gray_16/RGB_8/RGB_16/GrayAlpha_8/GrayAlpha_16/RGBA_8/RGBA_16)

--export-png-compression=LEVEL
    Set the compression level for PNG export (0 to 9); default is 6.

--export-png-antialias=LEVEL
    Set the antialiasing level for PNG export (0 to 3); default is 2.

--export-png-use-dithering=false|true
    Force le dithering ou le désactive, si la version d'Inkscape le supporte.

--export-ps-level=NIVEAU
    Définit la version du langage pour l'export PS et EPS. Le niveau PostScript 2 ou 3 est accepté. La valeur par défaut est 3.

--export-pdf-version=VERSION
    Sélectionne la version du format PDF utilisée pour exporter le fichier. Cette option correspond au sélecteur de version PDF présent dans la boîte de dialogue d'exportation en PDF de l'interface graphique. Vous devez indiquer une des versions proposées par ce sélecteur, par exemple « 1.4 ». La version par défaut est « 1.4 ».

-T, --export-text-to-path
    Convertit les objets texte en chemins lors de l'export, si applicable (pour l'export en PS, EPS, PDF ou SVG).

--export-latex
    Pour l'export en PS, EPS ou PDF. Crée des images pour les documents LaTeX, dans lesquels les textes de l'image sont composés par LaTeX. Lors de l'export au format PDF/PS/EPS, cette option divise la sortie en un fichier PDF/PS/EPS (lorsque, par exemple, l'option --export-pdf est spécifiée) et un fichier LaTeX. Le texte ne sera pas enregistré dans le fichier PDF/PS/EPS, mais apparaîtra à la place dans le fichier LaTeX. Ce fichier LaTeX inclut le PDF/PS/EPS. Inclure le fichier LaTeX (\input{image.tex}) dans un document LaTeX fait alors apparaître l'image, et tout le texte sera composé par LaTeX. Consultez le document LaTeX généré pour en savoir plus. Consultez également la sortie de la commande `epslatex' de GNUPlot dans un terminal.

--export-ignore-filters
    Exporte les objets filtrés (avec du flou, par exemple) comme des vecteurs, en ignorant les filtres (pour l'export en PS, EPS ou PDF). Par défaut, tous les objets filtrés sont rastérisés à une résolution choisie par --export-dpi (par défaut 96 ppp), ce qui préserve leur apparence.

-t, --export-use-hints
    Lors de l'export en PNG, utilise le nom de fichier et la résolution enregistrés en PPP avec l'objet exporté (uniquement si --export-id est spécifié). Ces valeurs sont configurées automatiquement lorsque vous exportez la sélection depuis Inkscape. Donc, par exemple, si vous exportez une forme avec id="path231" sous /home/me/shape.png avec une résolution de 300 ppp depuis document.svg en utilisant l'interface graphique d'Inkscape, et enregistrez le document, vous pourrez réexporter plus tard cette forme vers le même fichier et avec la même résolution en utilisant simplement la commande

        inkscape -i path231 -t document.svg

    Si vous utilisez --export-dpi, --export-width ou --export-height avec cette option, alors la résolution enregistrée (en PPP) sera ignorée et la valeur fournie sur la ligne de commande sera utilisée. Si vous utilisez --export-filename avec cette option, le nom de fichier enregistré avec le document sera ignoré et le nom de fichier fourni sur la ligne de commande utilisé.

-b COULEUR, --export-background=COULEUR
    Définit la couleur d'arrière-plan du PNG exporté. La couleur peut être décrite de toutes les manières supportées par le format SVG, par exemple "#ff007f" ou "rgb(255, 0, 128)". Si cette couleur n'est pas définie, la couleur de page définie dans Inkscape via la boîte de dialogue Préférences du document sera utilisée (enregistrée dans l'attribut pagecolor= de sodipodi:namedview).

-y VALEUR, --export-background-opacity=VALEUR
    Définit l'opacité de l'arrière-plan du PNG exporté. Cela peut être une valeur entre 0.0 et 1.0 (0.0 signifiant la transparence complète, 1.0 l'opacité complète) ou supérieure à 1 et inférieure à 255 (255 : complètement opaque). Si cette valeur n'est pas spécifiée et si l'option -b n'est pas utilisée, l'opacité de la page enregistrée avec le document (dans l'attribut inkscape:pageopacity= de sodipodi:namedview) sera utilisée. Si cette valeur n'est pas spécifiée mais que l'option -b est utilisée, la valeur 255 (opacité complète) sera utilisée.

-I, --query-id=ID_OBJET[,ID_OBJET]*
    Définit l'identifiant de l'objet dont les dimensions sont demandées ; utilisez une liste d'identifiants séparés par des virgules pour plusieurs objets. Si cette option n'est pas utilisée, la commande retournera les dimensions du dessin (c'est-à-dire de tous les objets du document), pas de la page ou de la zone affichée.

    Si vous spécifiez une liste d'objets avec des valeurs séparées par des virgules, toute demande de géométrie (par ex. --query-x) retournera une liste de valeurs séparées par des virgules correspondant à la liste des objets indiqués dans --query-id.

-S, --query-all
    Affiche une liste de tous les objets du document SVG avec leur identifiant, et les valeurs x, y, largeur et hauteur, en utilisant la virgule comme séparateur.

-X, --query-x
    Demande l'abscisse (coordonnée X) du dessin ou, si spécifié avec --query-id, de l'objet. La valeur retournée est en px (unités utilisateur SVG).

-Y, --query-y
    Demande l'ordonnée (coordonnée Y) du dessin ou, si spécifié avec --query-id, de l'objet. La valeur retournée est en px (unités utilisateur SVG).

-W, --query-width
    Demande la largeur du dessin ou, si spécifié avec --query-id, de l'objet. La valeur retournée est en px (unités utilisateur SVG).

-H, --query-height
    Demande la hauteur du dessin ou, si spécifié avec --query-id, de l'objet. La valeur retournée est en px (unités utilisateur SVG).

--vacuum-defs
    Supprime tous les éléments inutilisés de la section "<defs>" du fichier SVG. Si cette option est utilisée avec --export-plain-svg, seul le fichier exporté sera affecté. Si cette option est utilisée seule, le fichier spécifié sera modifié.

--select=ID_OBJET[,ID_OBJET]*
    La commande --select sélectionne les objets correspondant aux identifiants spécifiés. Vous pouvez indiquer plusieurs objets avec une liste d'identifiants séparés par des virgules. Ceci permet à différents verbes d'agir sur cette même sélection. Pour désélectionner tous les objets, utilisez "--verb=EditDeselect". Les identifiants d'objet disponibles dépendent du document ouvert.

--actions=ACTION(:ARG)[;ACTION(:ARG)]*
    Les actions sont une nouvelle méthode d'appel de fonctions prenant un seul paramètre (optionnel). Pour obtenir la liste des noms d'actions disponibles, utilisez l'option en ligne de commande --action-list. Potentiellement, tous les verbes seront remplacés par des actions. Pour le moment, tout verbe peut être utilisé comme une action (sans paramètre). Notez que la plupart des verbes nécessitent une interface graphique (même s'ils ne l'utilisent pas). Pour fermer automatiquement l'interface graphique à la fin d'une commande, utilisez --batch-process. De plus, toutes les options d'export ont des actions correspondantes (il suffit de retirer le '--' du début de l'option et de remplacer '=' par ':').

    Pour les actions seules, --batch-process doit être utilisé.

    L'export peut être forcé à tout moment avec l'action export-do. Ceci permet d'effectuer plusieurs exports sur un seul fichier.

--action-list
    Affiche une liste des toutes les actions disponibles.

--actions-file=FICHIER
    Exécute les actions du fichier. Le fichier doit être formatté avec la syntaxe des --actions. Cette option remplace --actions si les deux sont présentes.

-g, --with-gui
    Essaie d'utiliser l'interface graphique (sous Unix, utiliser le serveur X, même si $DISPLAY n'est pas défini).

-q, --active-window
    Au lieu de lancer un nouveau processus, exécute la commande dans la dernière fenêtre active.

--display=DISPLAY
    Définit l'affichage à utiliser pour la fenêtre d'Inkscape

--app-id-tag=TAG
    Crée une unique instance d'Inkscape avec l'ID d'application 'org.inkscape.Inkscape.TAG'. Utile pour séparer les instances en présence de plusieurs versions en parallèle, ou de plusieurs fichiers de préférence.

--batch-process
    Ferme l'interface graphique après l'exécution de toutes les actions ou tous les verbes.

--shell
    Utilise Inkscape en mode ligne de commande interactif. Dans ce mode, vous pouvez entrer des commandes sur l'invite et Inkscape les exécute, sans que vous ayez à lancer une nouvelle instance du logiciel à chaque commande. Cette fonctionnalité est principalement utile pour les scripts et l'exécution à distance : elle n'ajoute aucune fonctionnalité mais permet d'améliorer la vitesse et l'occupation en mémoire des scripts qui appellent Inkscape de façon répétée pour effectuer des tâches en ligne de commande (telles que des exports ou des conversions).

    En mode shell, Inkscape attend une séquence d'actions (ou de verbes) en entrée. Elles seront traitées ligne par ligne, après avoir appuyé sur la touche Entrée. Il est possible (mais pas obligatoire) de mettre toutes les actions sur la même ligne.

    Cette option se combine avec --active-window pour exécuter les commandes dans un document déjà ouvert.

    L'exemple suivant ouvre un fichier et l'exporte dans deux formats différents, puis ouvre un autre fichier et exporte un seul objet :

        file-open:fichier1.svg; export-type:pdf; export-do; export-type:png; export-do
        file-open:fichier2.svg; export-id:rect2; export-id-only; export-filename:rect_seul.svg; export-do

CONFIGURATION
Le fichier de configuration principal se trouve dans ~/.config/inkscape/preferences.xml ; il contient de nombreux types de paramétrages dont vous pouvez changer la valeur dans Inkscape (la plupart dans la boîte de dialogue Préférences d'Inkscape). Vous pouvez également ajouter des configurations spécifiques dans les sous-répertoires suivants :

$HOME/.config/inkscape/extensions/ - extensions.

$HOME/.config/inkscape/fonts/ - polices.

$HOME/.config/inkscape/icons/ - icon sets.

$HOME/.config/inkscape/keys/ - configuration des raccourcis clavier.

$HOME/.config/inkscape/paint/ - motifs et hachures.

$HOME/.config/inkscape/palettes/ - palettes.

$HOME/.config/inkscape/symbols/ - catalogues de symboles.

$HOME/.config/inkscape/templates/ - modèles de document.

$HOME/.config/inkscape/ui/ - Fichiers d'interface.

DIAGNOSTICS
Le programme retourne la valeur zéro après une utilisation réussie ou différente de zéro après un problème.

Des messages d'erreur et des avertissements divers peuvent être envoyés vers STDERR ou STDOUT. Si le programme se comporte de façon inconsistante avec un fichier SVG particulier ou plante, ces messages peuvent comporter des indices.

EXEMPLES
Bien qu'Inkscape soit principalement conçu comme une application graphique, il peut aussi être utilisé depuis la ligne de commande pour effectuer des opérations SVG.

Ouvrir un fichier SVG avec l'interface graphique :

    inkscape fichier.svg

Exporter un fichier SVG en PNG avec la résolution par défaut de 96 ppp (une unité utilisateur SVG devient un pixel de l'image matricielle) :

    inkscape --export-filename=fichier.png fichier.svg

Idem, mais en forçant les dimensions du fichier à 600×400 pixels :

    inkscape --export-filename=fichier.png -w 600 -h 400 fichier.svg

Idem, mais en exportant le dessin (la boîte englobante de tous les objets), et pas la page :

    inkscape --export-filename=fichier.png --export-area-drawing fichier.svg

Exporte deux fichiers différents, chacun dans quatre formats de fichiers distincts :

    inkscape --export-type=png,ps,eps,pdf fichier1.svg fichier2.svg

Exporter en PNG l'objet avec id="text1555", en utilisant le nom de fichier et la résolution utilisés la dernière fois qu'il a été exporté depuis l'interface graphique :

    inkscape --export-id=text1555 --export-use-hints fichier.svg

Idem, mais en utilisant une résolution de 96 ppp, en spécifiant un nom de fichier et en arrondissant la zone à exporter aux valeurs entières les plus proches en unités utilisateur SVG (afin de préserver l'alignement des objets sur des pixels et minimiser l'anti-crénelage) :

    inkscape --export-id=text1555 --export-filename=texte.png --export-area-snap fichier.svg

Convertir un document du format SVG Inkscape au format SVG simple :

    inkscape --export-plain-svg --export-filename=fichier2.svg fichier1.svg

Convertir un document SVG en EPS, en convertissant les textes en chemins :

    inkscape --export-filename=fichier.eps --export-text-to-path fichier.svg

Demander la largeur de l'objet avec id="text1555" :

    inkscape --query-width --query-id=text1555 fichier.svg

Dupliquer les objets avec les id="path1555" et id="rect835", et appliquer une rotation de 90 degrés sur les duplicatas, enregistrer le SVG et quitter :

    inkscape --select=path1555,rect835 --actions="duplicate;object-rotate-90-cw" --export-overwrite filename.svg

Sélectionner tous les objets avec l'étiquette ellipse, leur appliquer à tous une rotation de 30 degrés, enregistrer le fichier et quitter.

    inkscape --actions="select-by-element:ellipse;transform-rotate:30" --export-overwrite filename.svg

Exporter l'objet avec l'ID MonTriangle avec un fond violet semi-transparent vers le fichier triangle_violet.png, et avec un fond rouge vers le fichier triangle_rouge.png.

    inkscape --actions="export-id:MyTriangle; export-id-only; export-background:purple; export-background-opacity:0.5;export-filename:triangle_purple.png; export-do; export-background:red; export-background-opacity:1; export-filename:triangle_red.png; export-do" filename.svg

Lire un fichier SVG depuis l'entrée standard (stdin) et l'exporter au format PDF :

    cat fichier.svg | inkscape --pipe --export-filename=fichier.pdf

Exporter un SVG vers le format PNG, et l'envoyer vers la sortie standard (stdout), puis le convertir au format JPG avec le programme de conversion d'ImageMagick (convert) :

    inkscape --export-type=png --export-filename=- fichier.svg | convert - fichier.jpg

Comme ci-dessus, mais en lisant à partir d'un tube (pipe) (--export-filename peut être omis dans ce cas)

    cat fichier.svg | inkscape --pipe --export-type=png | convert - fichier.jpg

VARIABLES D'ENVIRONNEMENT

INKSCAPE_PROFILE_DIR
    Définit un emplacement personnalisé pour le dossier du profil utilisateur.

INKSCAPE_DATADIR
    Définit une emplacement personnalisé pour le dossier des données d'Inkscape (par ex. $PREFIX/share si les fichiers partagés d'Inkscape sont dans $PREFIX/share/inkscape).

INKSCAPE_LOCALEDIR
    Définit un emplacement personnalisé pour le catalogue des traductions.

Pour plus de détails, voir aussi <http://wiki.inkscape.org/wiki/index.php/Environment_variables>

AUTRES INFORMATIONS
La référence principale où trouver des informations sur Inkscape est <https://www.inkscape.org/>. Le site web comporte des actualités, de la documentation, des didacticiels, des exemples, des archives des listes de diffusion, la dernière version du programme, les bases de données contenant les bogues et les demandes de fonctionnalité, des forums, et encore davantage.

VOIR AUSSI
potrace, cairo, rsvg, batik, ghostscript, pstoedit.

Suite de tests de conformité SVG : <https://www.w3.org/Graphics/SVG/WG/wiki/Test_Suite_Overview>

Validation de SVG : <https://validator.w3.org/>

Scalable Vector Graphics (SVG) 1.1 Specification W3C Recommendation 16 August 2011 <https://www.w3.org/TR/SVG11/>

Scalable Vector Graphics (SVG) 1.2 Specification W3C Working Draft 13 April 2005 <https://www.w3.org/TR/SVG12/>

Scalable Vector Graphics (SVG) 2 Specification W3C Candidate Recommendation 15 September 2016 <https://www.w3.org/TR/SVG2/>

Document Object Model (DOM): Level 2 Core W3C Recommendation 13 November 2000 <https://www.w3.org/TR/DOM-Level-2-Core/>

NOTES SUR L'INTERFACE GRAPHIQUE
Pour vous familiariser avec l'utilisation de l'interface graphique d'Inkscape, consultez le manuel dans Aide > Manuel d'Inkscape et les didacticiels dans Aide > Didacticiels.

En plus du SVG, Inkscape peut importer (Fichier > Importer) la plupart des formats d'images matricielles (PNG, BMP, JPG, XPM, GIF, etc.), du texte brut (nécessite Perl), les formats PS et EPS (nécessite Ghostscript) et les formats PDF et AI (AI version 9.0 ou ultérieur).

Inkscape peut exporter (Fichier > Exporter une image PNG) des images PNG 32 bits, mais aussi aux formats AI, PS, EPS, PDF, DXF et plusieurs autres formats via Fichier > Enregistrer sous.

Inkscape gère la pression et l'inclinaison du stylet d'une tablette graphique pour la largeur, l'angle et la force d'action de plusieurs outils, dont la plume calligraphique.

Inkscape comporte une interface graphique pour le moteur de vectorisation d'image matricielle Potrace (<http://potrace.sf.net>) qui est inclus dans Inkscape.

Inkscape peut utiliser des scripts externes (filtres de stdin vers stdout) représentés par des commandes dans le menu Effets. Un script peut faire intervenir les boîtes de dialogue de l'interface graphique pour définir différents paramètres et peut obtenir les identifiants des objets sélectionnés sur lesquels agir depuis la ligne de commande. Inkscape est livré avec un assortiment d'effets écrits en Python.

RACCOURCIS CLAVIER
Pour obtenir une liste complète des raccourcis clavier et souris, consultez le fichier doc/keys.html, ou utilisez la commande Clavier et souris dans le menu Aide.

BOGUES
Beaucoup de bogues sont connus ; veuillez vous référer au site web (inkscape.org) pour vérifier ceux qui ont déjà été rapportés et pour soumettre de nouveaux problèmes. Consultez aussi la section « Known Issues » des notes de livraison de votre version (dans le fichier `NEWS').

HISTORIQUE
Le code qui allait devenir Inkscape est né en 1999, avec le programme Gill, GNOME Illustrator, créé par Raph Levien. L'objectif défini pour Gill était de gérer complètement le format SVG. Raph a codé le modèle PostScript de courbes de Bézier, incluant le remplissage et le contour, les coiffes et raccords de lignes, le texte, etc. La page de Raph consacrée à Gill se trouve sur <http://www.levien.com/svg/>. Le travail sur Gill semble avoir diminué ou s'être arrêté en 2000.

L'incarnation suivante du code allait devenir le très populaire Sodipodi, mené par Lauris Kaplinski. Le code est devenu un outil d'illustration puissant après plusieurs années de travail, ajoutant plusieurs nouvelles fonctionnalités, le support multilingue, le portage sous Windows et d'autres systèmes d'exploitation, et éliminant certaines dépendances.

Inkscape a été lancé en 2003 par quatre développeurs actifs de Sodipodi, Bryce Harrington, MenTaLguY, Nathan Hurst et Ted Gould, qui voulaient faire prendre une orientation différente au code en termes de focalisation sur la conformité SVG, d'aspect et de fonctionnement de l'interface, et d'ouverture du développement à plus de participants. Le projet a progressé rapidement, gagnant de nombreux contributeurs très actifs et une multitude de fonctionnalités.

Beaucoup de travail a été depuis consacré à la stabilisation du code et à l'internationalisation. Le moteur de rendu hérité de Sodipodi comportait de nombreux cas limites mathématiques qui entraînaient des plantages lorsque le programme était utilisé à des fins inhabituelles ; ce moteur a alors été remplacé par Livarot qui, bien qu'imparfait, générait moins d'erreurs. Le projet a également adopté la bonne habitude de publier son code régulièrement, et encouragé les utilisateurs à tester des versions en développement du logiciel ; cela a aidé à identifier les nouveaux bogues rapidement, et à assurer qu'il était facile pour les utilisateurs de vérifier les correctifs. Inkscape a ainsi acquis une réputation de programme robuste et fiable.

En parallèle, des efforts ont été faits pour améliorer l'internationalisation et la localisation de l'interface, ce qui a apporté au projet de nouveaux contributeurs du monde entier.

Inkscape a eu un impact positif sur l'attractivité visuelle de l'Open Source en général, en offrant un outil pour créer et partager des icônes, des écrans d'accueil, de l'art pour le web, etc. D'une certaine façon, bien que n'étant qu'un « simple outil de dessin », Inkscape a joué un rôle important en rendant l'Open Source plus stimulant visuellement pour un plus large public.

AUTEURS
Ce code doit son existence à un grand nombre de contributeurs tout au long de ses différentes incarnations. La liste qui suit est certainement incomplète mais permet de reconnaître les nombreuses épaules sur lesquelles cette application repose :

Maximilian Albert, Joshua A. Andler, Tavmjong Bah, Pierre Barbry-Blot, Jean-François Barraud, Campbell Barton, Bill Baxter, John Beard, John Bintz, Arpad Biro, Nicholas Bishop, Joshua L. Blocher, Hanno Böck, Tomasz Boczkowski, Adrian Boguszewski, Henrik Bohre, Boldewyn, Daniel Boles, Daniel Borgmann, Bastien Bouclet, Hans Breuer, Gustav Broberg, Christopher Brown, Marcus Brubaker, Luca Bruno, Brynn, Nicu Buculei, Bulia Byak, Pierre Caclin, Ian Caldwell, Gail Carmichael, Ed Catmur, Chema Celorio, Jabiertxo Arraiza Cenoz, Johan Ceuppens, Zbigniew Chyla, Alexander Clausen, John Cliff, Kees Cook, Ben Cromwell, Jon Cruz, Aurélie De-Cooman, Kris De Gussem, Milosz Derezynski, Daniel Díaz, Bruno Dilly, Larry Doolittle, Nicolas Dufour, Tim Dwyer, Maxim V. Dziumanenko, Moritz Eberl, Johan Engelen, Miklos Erdelyi, Ulf Erikson, Noé Falzon, Sebastian Faubel, Frank Felfe, Andrew Fitzsimon, Edward Flick, Marcin Floryan, Fred, Ben Fowler, Cedric Gemy, Steren Giannini, Olivier Gondouin, Ted Gould, Toine de Greef, Michael Grosberg, Bryce Harrington, Dale Harvey, Aurélio Adnauer Heckert, René de Hesselle, Carl Hetherington, Jos Hirth, Hannes Hochreiner, Thomas Holder, Joel Holdsworth, Christoffer Holmstedt, Alan Horkan, Karl Ove Hufthammer, Richard Hughes, Nathan Hurst, inductiveload, Thomas Ingham, Jean-Olivier Irisson, Bob Jamison, Ted Janeczko, Marc Jeanmougin, jEsuSdA, Lauris Kaplinski, Lynn Kerby, Niko Kiirala, James Kilfiger, Nikita Kitaev, Jason Kivlighn, Adrian Knoth, Krzysztof Kosiński, Petr Kovar, Michael Kowalski, Benoît Lavorata, Alex Leone, Julien Leray, Raph Levien, Diederik van Lierop, Nicklas Lindgren, Vitaly Lipatov, Ivan Louette, Fernando Lucchesi Bastos Jurema, Pierre-Antoine Marc, Aurel-Aimé Marmion, Colin Marquardt, Craig Marshall, Ivan Masár, Dmitry G. Mastrukov, David Mathog, Matiphas, Patrick McDermott, Michael Meeks, Federico Mena, MenTaLguY, Aubanel Monnier, Vincent Montagne, Tim Mooney, Derek P. Moore, Chris Morgan, Peter Moulder, Jörg Müller, Yukihiro Nakai, Victor Navez, Jonathan Neuhauser, Christian Neumair, Nick, Andreas Nilsson, Mitsuru Oka, Vinícius dos Santos Oliveira, Martin Owens, PBS, Alvin Penner, Matthew Petroff, Jon Phillips, Zdenko Podobny, Alexandre Prokoudine, Jean-René Reinhard, Alexey Remizov, Frederic Rodrigo, Hugo Rodrigues, Jean Franco Amoni Rodríguez, Juarez Rudsatz, Xavier Conde Rueda, Felipe Corrêa da Silva Sanches, Christian Schaller, Marco Scholten, Tom von Schwerdtner, Markus Schwienbacher, Danilo Šegan, Abhishek Sharma, Tim Sheridan, Shivaken, Rafał Siejakowski, Michael Sloan, John Smith, Sandra Snan, Boštjan Špetič, Aaron Spike, Kaushik Sridharan, Ralf Stephan, Dariusz Stojek, Patrick Storz, Martin Sucha, Sushant A.A., ~suv, Pat Suwalski, Adib Taraben, Parcly Taxel, Hugh Tebby, Jonas Termeau, David Turner, Andre Twupack, Aleksandar Urošević, Alex Valavanis, Joakim Verona, Lucas Vieites, Daniel Wagenaar, Liam P. White, Sebastian Wüst, Michael Wybrow, Gellule Xg, Daniel Yacob, Masatake Yamato, David Yip, Wen-Wei Kao

COPYRIGHT ET LICENCE
Copyright (C) 1999-2023 par les auteurs.

Inkscape est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier selon les termes de la licence GPL version 2 ou ultérieure.